Show / Hide Table of Contents

# Struct ImGuiPlatformImeDataPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiPlatformImeDataPtr

### Constructors

| Improve this Doc View Source

#### ImGuiPlatformImeDataPtr(ImGuiPlatformImeData*)

##### Declaration

    public ImGuiPlatformImeDataPtr(ImGuiPlatformImeData*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPlatformImeData* | nativePtr |

| Improve this Doc View Source

#### ImGuiPlatformImeDataPtr(IntPtr)

##### Declaration

    public ImGuiPlatformImeDataPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### InputLineHeight

##### Declaration

    public readonly ref float InputLineHeight { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### InputPos

##### Declaration

    public readonly ref Vector2 InputPos { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImGuiPlatformImeData*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiPlatformImeData* |

| Improve this Doc View Source

#### WantVisible

##### Declaration

    public readonly ref bool WantVisible { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiPlatformImeData* to ImGuiPlatformImeDataPtr)

##### Declaration

    public static implicit operator ImGuiPlatformImeDataPtr(ImGuiPlatformImeData*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPlatformImeData* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiPlatformImeDataPtr |

| Improve this Doc View Source

#### Implicit(ImGuiPlatformImeDataPtr to ImGuiPlatformImeData*)

##### Declaration

    public static implicit operator ImGuiPlatformImeData*(ImGuiPlatformImeDataPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPlatformImeDataPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiPlatformImeData* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiPlatformImeDataPtr)

##### Declaration

    public static implicit operator ImGuiPlatformImeDataPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiPlatformImeDataPtr |